package domaintest

import (
	"gitea.dwysokinski.me/twhelp/corev3/internal/domain"
	"github.com/brianvoe/gofakeit/v6"
	"github.com/stretchr/testify/require"
)

func NewBuildingInfo(tb TestingTB) domain.BuildingInfo {
	tb.Helper()
	buildingInfo, err := domain.NewBuildingInfo(
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
		domain.Building{MaxLevel: gofakeit.IntRange(1, 30)},
	)
	require.NoError(tb, err)
	return buildingInfo
}
